POST V1/Lite/CallsToAction.{ext}/CallsToAction?action={action}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
action

No description available

string

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Mobile.Entities.CallsToAction.CallsToActionDetails
NameDescriptionTypeAdditional information
CallsToActionId

No description available

string

None.

CTAEntityTypeId

No description available

string

None.

EntityId

No description available

string

None.

EntityValue

No description available

string

None.

Description

No description available

string

None.

DueBy

No description available

string

None.

ClientId

No description available

string

None.

Status

No description available

string

None.

ActiveStatus

No description available

string

None.

CreatedDate

No description available

string

None.

CreatedUser

No description available

string

None.

ModifiedDate

No description available

string

None.

ModifiedUser

No description available

string

None.

AssignedTo

No description available

Collection of EMS.Mobile.Entities.CallsToAction.Tag

None.

TagTo

No description available

Collection of EMS.Mobile.Entities.CallsToAction.Tag

None.

Notify

No description available

string

None.

Attachments

No description available

string

None.

Comments

No description available

string

None.

ReminderDate

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "callsToActionId": "sample string 1",
  "ctaEntityTypeId": "sample string 2",
  "entityId": "sample string 3",
  "entityValue": "sample string 4",
  "description": "sample string 5",
  "dueBy": "sample string 6",
  "clientId": "sample string 7",
  "status": "sample string 8",
  "activeStatus": "sample string 9",
  "createdDate": "sample string 10",
  "createdUser": "sample string 11",
  "modifiedDate": "sample string 12",
  "modifiedUser": "sample string 13",
  "assignedTo": [
    {
      "tagId": "sample string 1",
      "tagType": "sample string 2",
      "tagValue": "sample string 3",
      "hasConflict": 64
    },
    {
      "tagId": "sample string 1",
      "tagType": "sample string 2",
      "tagValue": "sample string 3",
      "hasConflict": 64
    }
  ],
  "tagTo": [
    {
      "tagId": "sample string 1",
      "tagType": "sample string 2",
      "tagValue": "sample string 3",
      "hasConflict": 64
    },
    {
      "tagId": "sample string 1",
      "tagType": "sample string 2",
      "tagValue": "sample string 3",
      "hasConflict": 64
    }
  ],
  "notify": "sample string 14",
  "attachments": "sample string 15",
  "comments": "sample string 16",
  "reminderDate": "sample string 17"
}

application/xml, text/xml

Sample:
<CallsToActionDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Mobile.Entities.CallsToAction">
  <ActiveStatus>sample string 9</ActiveStatus>
  <AssignedTo>
    <Tag>
      <HasConflict>64</HasConflict>
      <TagId>sample string 1</TagId>
      <TagType>sample string 2</TagType>
      <TagValue>sample string 3</TagValue>
    </Tag>
    <Tag>
      <HasConflict>64</HasConflict>
      <TagId>sample string 1</TagId>
      <TagType>sample string 2</TagType>
      <TagValue>sample string 3</TagValue>
    </Tag>
  </AssignedTo>
  <Attachments>sample string 15</Attachments>
  <CTAEntityTypeId>sample string 2</CTAEntityTypeId>
  <CallsToActionId>sample string 1</CallsToActionId>
  <ClientId>sample string 7</ClientId>
  <Comments>sample string 16</Comments>
  <CreatedDate>sample string 10</CreatedDate>
  <CreatedUser>sample string 11</CreatedUser>
  <Description>sample string 5</Description>
  <DueBy>sample string 6</DueBy>
  <EntityId>sample string 3</EntityId>
  <EntityValue>sample string 4</EntityValue>
  <ModifiedDate>sample string 12</ModifiedDate>
  <ModifiedUser>sample string 13</ModifiedUser>
  <Notify>sample string 14</Notify>
  <ReminderDate>sample string 17</ReminderDate>
  <Status>sample string 8</Status>
  <TagTo>
    <Tag>
      <HasConflict>64</HasConflict>
      <TagId>sample string 1</TagId>
      <TagType>sample string 2</TagType>
      <TagValue>sample string 3</TagValue>
    </Tag>
    <Tag>
      <HasConflict>64</HasConflict>
      <TagId>sample string 1</TagId>
      <TagType>sample string 2</TagType>
      <TagValue>sample string 3</TagValue>
    </Tag>
  </TagTo>
</CallsToActionDetails>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.